import "ExoPlugins.AssistantParse";


function LoadPlugin()
    Player = Turbine.Gameplay.LocalPlayer.GetInstance();
    Callbacks = {};
    SkillList = Player:GetTrainedSkills();
    SkillsTable = {};
    Settings = {};
    SkillWindow = SkillWindow();
    if Turbine.PluginData.Load(Turbine.DataScope.Character, "AssistantParseSettings") == nil then
        Settings = {
            ["General"] = {
                ["Position"] = {
                    [1] = 0;
                    [2] = 0;
                }
            }
        }
    else
        Settings = LoadData(Turbine.DataScope.Character, "AssistantParseSettings");
    end
    local screenWidth, screenHeight = Turbine.UI.Display:GetSize();
        SkillWindow:SetPosition(Settings["General"]["Position"][1]*screenWidth, Settings["General"]["Position"][2]*screenHeight);
	for i = 1, SkillList:GetCount(), 1 do
		local item = SkillList:GetItem(i);
		local name = item:GetSkillInfo():GetName();
		local ID = item:GetSkillInfo():GetIconImageID();

		Callbacks[name] = {}

        SkillsTable[name] = item
		table.insert(Callbacks[name], AddCallback(item, "ResetTimeChanged", function(sender, args)
            SkillWindow:AddSkill(ID);
		end));
	end
end

LoadPlugin();

function UnloadPlugin()
    SaveData(Turbine.DataScope.Character, "AssistantParseSettings", Settings);
    for key, value in pairs(Callbacks) do
        for _, callback in pairs(value) do
            RemoveCallback(SkillsTable[key], "ResetTimeChanged", callback);
        end
    end
end

plugin.Load=function(sender, args)
	Turbine.Shell.WriteLine("<rgb=#FF5555><" .. plugin:GetName() .. "></rgb> V." .. plugin:GetVersion() .. " loaded.");
end

plugin.Unload=function()
    UnloadPlugin();
	Turbine.Shell.WriteLine("<rgb=#FF5555><AssistantParse></rgb> Unload Complete");
end