SkillWindow = class(Turbine.UI.Window)
function SkillWindow:Constructor()
    Turbine.UI.Window.Constructor(self)
    self:SetMouseVisible(false);
	self:SetVisible(true);
    self:SetSize(96, 32);

    self.SkillOne = SkillIcon("ExoPlugins/AssistantParse/Resources/blank.tga", self, 0);
    self.SkillTwo = SkillIcon("ExoPlugins/AssistantParse/Resources/blank.tga", self, 32);
    self.SkillThree = SkillIcon("ExoPlugins/AssistantParse/Resources/blank.tga", self, 64);
    self.DragBar = DragBar( self, "AssistantParse" );
end

function SkillWindow:AddSkill(iconID)
    self.SkillOne:SetIcon(self.SkillTwo:GetIcon());
    self.SkillTwo:SetIcon(self.SkillThree:GetIcon());
    self.SkillThree:SetIcon(iconID);
end

function SkillWindow:SavePosition()
	local screenWidth, screenHeight = Turbine.UI.Display:GetSize();
	Data = {
		[1] = self:GetLeft()/screenWidth,
		[2] = self:GetTop()/screenHeight,
	};

	Settings["General"]["Position"] = Data;
end

SkillIcon = class(Turbine.UI.Control)
function SkillIcon:Constructor(Icon, parent, xPos)
    Turbine.UI.Control.Constructor(self)
    self:SetSize(32, 32);
    self:SetParent(parent);
    self:SetLeft(xPos);
    self:SetBackground(Icon);
end

function SkillIcon:GetIcon()
    return self:GetBackground();
end

function SkillIcon:SetIcon(icon)
    self:SetBackground(icon);
end